Subject: Re: bug#74476: [PATCH] Explore JPEG loading without quantization

From: Manuel Giraud <[email-masked]>
Date: Sat, 30 Nov 2024 15:54:38 +0100

Alan Third <[email-masked]> writes:

[...]

> Manuel, I think you want to use lookup_rgb_color when setting the
> pixels in the final image buffer. This should do the right thing. You
> presumably also need to call init_color_table before using it, and I
> see calls to colors_in_color_table and free_color_table which look
> necessary, but I think they're already in the jpeg code.

Hi Alan,

I don't really understand: my proposed patch is getting rid of calls to
lookup_rgb_color and init_color_table.
-- 
Manuel Giraud